# $Revision: 1.45 $, $Date: 2010/08/07 22:05:01 $
# TODO:
# - manual page for ufraw-batch?
#
Summary:	RAW photo loader
Summary(pl.UTF-8):	Narzędzie do wczytywania zdjęć w formacie RAW
Name:		ufraw
Version:	0.17
Release:	1
License:	GPL v2
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/ufraw/%{name}-%{version}.tar.gz
# Source0-md5:	5e2c2b4adaea1f6d03eac66e11747fc6
URL:		http://ufraw.sourceforge.net/
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	cfitsio-devel
#BuildRequires:	cinepaint-devel
BuildRequires:	exiv2-devel >= 0.11-1
BuildRequires:	gettext-devel
BuildRequires:	gimp-devel >= 2.6
BuildRequires:	gtkimageview-devel >= 1.3
BuildRequires:	lcms-devel
BuildRequires:	lensfun-devel >=0.2.5
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info >= 0.21
Requires(post,preun):	GConf2 >= 2.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%(gimptool --gimpplugindir)/plug-ins

%description
UFRaw is a utility to read and manipulate raw images from digital
cameras. It can be used by itself or as a GIMP plug-in. It reads raw
images using Dave Coffin's raw conversion utility DCRaw. And it
supports basic color management using Little CMS, allowing the user to
apply color profiles.
%if %{with lensfun}
NOTE: This package has been compiled with lensfun support which is
UFRaw is a utility to read and manipulate raw images from digital
cameras. It can be used by itself or as a GIMP plug-in. It reads raw
images using Dave Coffin's raw conversion utility DCRaw. And it
supports basic color management using Little CMS, allowing the user to
apply color profiles. considered experimental. Please read
http://ufraw.sourceforge.net/lensfun.html for information about
problems with current implementation.
%endif

%description -l pl.UTF-8
UFRaw to narzędzie do czytania i przetwarzania zdjęć w formacie RAW
różnych aparatów cyfrowych. Może być używane samodzielnie lub jako
wtyczka programu GIMP. Zdjęcia w formacie RAW są wczytywane za pomocą
programu DCRaw Dave'a Coffina. Użytkownik ma możliwość stosowania
profili kolorów dzięki bibliotece Little CMS.
%if %{with lensfun}
UWAGA: Ten pakiet został skompilowany ze wsparciem dla lensfun, które
UFRaw to narzędzie do czytania i przetwarzania zdjęć w formacie RAW
różnych aparatów cyfrowych. Może być używane samodzielnie lub jako
wtyczka programu GIMP. Zdjęcia w formacie RAW są wczytywane za pomocą
programu DCRaw Dave'a Coffina. Użytkownik ma możliwość stosowania
profili kolorów dzięki bibliotece Little CMS. jest w fazie
eksperymentalnej. Proszę zapoznać się z dokumenem
http://ufraw.sourceforge.net/lensfun.html w którym opisane są problemy
z obecną wersją.
%endif

UFRaw to narzędzie do czytania i przetwarzania zdjęć w formacie RAW
różnych aparatów cyfrowych. Może być używane samodzielnie lub jako
wtyczka programu GIMP. Zdjęcia w formacie RAW są wczytywane za pomocą
programu DCRaw Dave'a Coffina. Użytkownik ma możliwość stosowania
profili kolorów dzięki bibliotece Little CMS. jest w fazie
eksperymentalnej. Proszę zapoznać się z dokumenem
http://ufraw.sourceforge.net/lensfun.html w którym opisane są problemy
z obecną wersją.
%package -n gimp-plugin-ufraw
Summary:	RAW photo loader GIMP plugin
Summary(pl.UTF-8):	Wtyczka GIMP-a do wczytywania zdjęć w formacie RAW
Group:		Applications/Graphics

%description -n gimp-plugin-ufraw
RAW photo loader GIMP plugin.

%description -n gimp-plugin-ufraw -l pl.UTF-8
Wtyczka GIMP-a do wczytywania zdjęć w formacie RAW.

%package batch
Summary:	RAW photo loader batch software
Summary(pl.UTF-8):	Program do wsadowego przetwarzania zdjęć w formacie RAW
Group:		Applications/Graphics

%description batch
RAW photo loader batch software.

%description batch -l pl.UTF-8
Program do wsadowego przetwarzania zdjęć w formacie RAW.

%prep
%setup -q

%build
cp -f /usr/share/automake/mkinstalldirs .
%configure \
	--enable-contrast \
	--enable-dst-correction \
	--enable-extras \
	--enable-mime \
	--with-gtk \
	--with-gimp 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	schemasdir=%{_sysconfdir}/gconf/schemas

install ufraw.desktop $RPM_BUILD_ROOT%{_desktopdir}
rm -f $RPM_BUILD_ROOT%{_bindir}/dcraw

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ufraw.schemas
%update_desktop_database_post

%preun
%gconf_schema_uninstall ufraw.schemas

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/nikon-curve
%attr(755,root,root) %{_bindir}/ufraw
%{_desktopdir}/*.desktop
# XXX add extension here not to match dirs accidentally
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_mandir}/man1/ufraw*

%files -n gimp-plugin-ufraw
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/ufraw-gimp

%files batch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ufraw-batch

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ufraw.spec,v $
Revision 1.45  2010/08/07 22:05:01  draenog
- remove '}'

Revision 1.44  2010/06/29 14:39:24  draenog
- version of required lensfun-devel
- support for hotpixels, exiv2, lensfun is now build by default;
  remove not existing configure options

Revision 1.43  2010/06/25 18:09:50  gotar
- upgraded to 0.17

Revision 1.42  2010/02/28 01:13:17  sparky
- dropped unused BR: libexif-devel

Revision 1.41  2010/02/27 17:44:03  hawk
- release 4

Revision 1.40  2010/01/14 22:31:08  hawk
- release 3

Revision 1.39  2009/12/08 15:29:41  sparky
- BR: gettext-devel

Revision 1.38  2009/12/08 07:58:16  paszczus
- rebuild with exiv2 0.18.2
- adaptarized
- rel 2

Revision 1.37  2009/10/15 13:37:32  gotar
- upgraded to 0.16, added missing BRs, enabled optional functions and binaries

Revision 1.36  2009/07/11 21:44:11  arekm
- rel 4; build fixed

Revision 1.35  2009/07/11 19:56:12  arekm
- release 3

Revision 1.34  2009/07/10 19:53:28  arekm
- release 2

Revision 1.33  2008/12/25 10:41:38  qboosh
- cleaned up yet one more unfinished upgrade :/

Revision 1.32  2008/12/24 19:30:31  rotom
- up to 0.15

Revision 1.31  2008/11/19 18:53:28  sparky
- lensfun support, by Michal Kochanowicz <michal@michal.waw.pl>

Revision 1.30  2008/10/21 11:47:33  hawk
- locale fix: no -> nb

Revision 1.29  2008/10/19 17:34:31  aredridel
- 0.14.1

Revision 1.28  2008/10/16 09:14:33  blues
- 0.14 - Michal Kochanowicz <michal@michal.waw.pl>

Revision 1.27  2008/06/28 20:12:41  arekm
- release 4

Revision 1.26  2008-04-24 11:37:37  glen
- release 3

Revision 1.25  2008-02-17 11:52:30  hawk
- release 2

Revision 1.24  2007-11-13 09:55:44  wrobell
- ver. 0.13

Revision 1.23  2007/09/08 22:13:53  aflinta
- fixed thumbnails generation, rel 3

Revision 1.22  2007/08/14 06:58:28  aflinta
- up to 0.12.1

Revision 1.21  2007/07/31 21:46:09  aredridel
- 0.12

Revision 1.20  2007/06/21 21:27:16  arekm
- rel 3

Revision 1.19  2007/06/14 18:44:09  arekm
- rel 2

Revision 1.18  2007/03/08 23:16:12  aflinta
- release 1

Revision 1.17  2007/03/08 23:14:21  aflinta
- upgrade to version 0.11
- enabled libexif (for Fuji RAW)
- added schemas and mime

Revision 1.16  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.14  2006/11/25 20:08:02  blues
- group fixed

Revision 1.13  2006/11/23 15:27:57  blues
- rel. 2 - now really enable exiv2; enabled mime, but some fixes still
  needed

Revision 1.12  2006/11/23 13:01:51  qboosh
- cleanup

Revision 1.11  2006/11/10 00:05:00  lmasko
- Up to version 0.10

Revision 1.10  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.9  2006/09/02 17:53:02  rotom
- up to 0.9.1

Revision 1.8  2006/08/04 12:13:19  wrobell
- ver. 0.9

Revision 1.7  2006/05/22 14:49:39  shadzik
- up to 0.8.1

Revision 1.6  2006/05/10 18:12:50  qboosh
- unified

Revision 1.5  2006/05/05 17:27:37  wrobell
- ver. 0.8

Revision 1.4  2006/03/21 11:57:04  wrobell
- ver. 0.7

Revision 1.3  2005/12/07 11:47:07  wrobell
- pl fixes

Revision 1.2  2005/12/06 21:32:41  qboosh
- pl

Revision 1.1  2005/12/05 15:43:35  wrobell
- based on template
